SelectExpressionList (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class SelectExpressionList

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.SelectExpressionList

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode

Direct Known Subclasses:
  ConstructorNode, SelectClause

    public abstract class SelectExpressionList

extends HqlSqlWalkerNode

Common behavior - a node that contains a list of select expressions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`SelectExpressionList()`

Method Summary
`SelectExpression[]` | `collectSelectExpressions()` Returns an array of SelectExpressions gathered from the children of the given parent AST node.
`protected abstract antlr.collections.AST` | `getFirstSelectExpression()` Returns the first select expression node that should be considered when building the array of select expressions.

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectExpressionList

    public SelectExpressionList()

Method Detail

### collectSelectExpressions

    public SelectExpression[] collectSelectExpressions()

  Returns an array of SelectExpressions gathered from the children of the given parent AST node.

  Returns:
    an array of SelectExpressions gathered from the children of the given parent AST node.

### getFirstSelectExpression

    protected abstract antlr.collections.AST getFirstSelectExpression()

  Returns the first select expression node that should be considered when building the array of select expressions.

  Returns:
    the first select expression node that should be considered when building the array of select expressions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.